# Uses of Interface
org.apache.cxf.service.invoker.Factory

Packages that use Factory
Package
Description
org.apache.cxf.annotations
org.apache.cxf.service.invoker
org.apache.cxf.service.invoker.spring

- ## Uses of Factory in org.apache.cxf.annotations

  Classes in org.apache.cxf.annotations that implement Factory
  Modifier and Type
  Class
  Description
  `static final class`
  `FactoryType.DEFAULT`

- ## Uses of Factory in org.apache.cxf.service.invoker

  Classes in org.apache.cxf.service.invoker that implement Factory
  Modifier and Type
  Class
  Description
  `class`
  `PerRequestFactory`
  Creates a new instance of the service object for each call to create().
  `class`
  `PooledFactory`
  Factory the maintains a pool of instances that are used.
  `class`
  `SessionFactory`
  Creates a new instance for each session.
  `class`
  `SingletonFactory`
  Always returns a single instance of the bean.
  Fields in org.apache.cxf.service.invoker declared as Factory
  Modifier and Type
  Field
  Description
  `protected Factory`
  FactoryInvoker.`factory`
  Methods in org.apache.cxf.service.invoker with parameters of type Factory
  Modifier and Type
  Method
  Description
  `void`
  FactoryInvoker.`setFactory(Factory f)`
  Constructors in org.apache.cxf.service.invoker with parameters of type Factory
  Modifier
  Constructor
  Description
  ``
  `FactoryInvoker(Factory factory)`
  Create a FactoryInvoker object.
  ``
  `PooledFactory(Factory factory, int max)`
  Pool of instances constructed from the given factory
  ``
  `PooledFactory(Factory factory, int max, boolean createMore)`
  Pool of instances constructed from the given factory
  ``
  `SessionFactory(Factory f)`
  ``
  `SessionFactory(Factory f, boolean createOnDemand)`
  ``
  `SingletonFactory(Factory f)`

- ## Uses of Factory in org.apache.cxf.service.invoker.spring

  Classes in org.apache.cxf.service.invoker.spring that implement Factory
  Modifier and Type
  Class
  Description
  `class`
  `SpringBeanFactory`
  Factory that will query the Spring ApplicationContext for the appropriate bean for each request.